%global short_name      commons-email

Name:             apache-%{short_name}
Version:          1.3.1
Release:          %mkrel 10
Summary:          Apache Commons Email Package
Group:            Development/Java
License:          ASL 2.0
URL:              http://commons.apache.org/proper/%{short_name}/
Source0:          http://archive.apache.org/dist/commons/email/source/%{short_name}-%{version}-src.tar.gz

#http://svn.apache.org/viewvc/commons/proper/email/trunk/src/main/java/org/apache/commons/mail/ImageHtmlEmail.java?r1=1498625&r2=1563555
Patch0:           %{name}-1.3.1-fix-javadoc-1.8-errors.patch

BuildArch:        noarch

BuildRequires:    java-devel >= 1:1.6.0
BuildRequires:    jpackage-utils
BuildRequires:    maven-local
BuildRequires:    javamail
BuildRequires:    mvn(org.apache.commons:commons-parent:pom:)

%description
Commons-Email aims to provide an API for sending email. It is built on top of 
the JavaMail API, which it aims to simplify.

%package javadoc
Summary:          Javadoc for %{name}
Group:            Documentation

%description javadoc
This package contains the API documentation for %{name}.


%prep
%setup -q -n %{short_name}-%{version}-src
%patch0 -p1

# Activation is now provided by the JRE
%pom_remove_dep "javax.activation:activation"

# Some test deps are not in fedora
%pom_remove_dep "org.subethamail:subethasmtp"
%pom_remove_dep "org.powermock:"

# Compatibility links
%mvn_alias "org.apache.commons:commons-email" "commons-email:commons-email"
%mvn_file :commons-email %{short_name} %{name}

%build
# Skip tests due to some missing deps
%mvn_build -f

%install
%mvn_install

%files -f .mfiles
%doc LICENSE.txt RELEASE-NOTES.txt NOTICE.txt

%files javadoc -f .mfiles-javadoc
%doc LICENSE.txt NOTICE.txt



%changelog
* Thu May 18 2017 neoclust <neoclust> 1.3.1-10.mga6
+ Revision: 1102930
- Fix BuildRequires
- Rebuild against new apache-parent

* Fri Feb 03 2017 daviddavid <daviddavid> 1.3.1-8.mga6
+ Revision: 1084710
- add upstream patch to fix Javadoc 1.8 errors

* Wed Mar 02 2016 neoclust <neoclust> 1.3.1-7.mga6
+ Revision: 981830
- Second rebuild of the java stack

* Sun Feb 21 2016 neoclust <neoclust> 1.3.1-6.mga6
+ Revision: 975452
- First rebuild of the java stack
- sync package apache-commons-email with fedora
- imported package apache-commons-email

* Wed Oct 15 2014 umeabot <umeabot> 1.3.1-4.mga5
+ Revision: 750426
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.3.1-3.mga5
+ Revision: 677804
- Mageia 5 Mass Rebuild

* Sun Jun 01 2014 dmorgan <dmorgan> 1.3.1-2.mga5
+ Revision: 630483
- imported package apache-commons-email


* Tue Mar 04 2014 Stanislav Ochotnicky <sochotnicky@redhat.com> - 1.3.1-2
- Use Requires: java-headless rebuild (#1067528)
- Rely on automatic requires

* Wed Jul 31 2013 Mat Booth <fedora@matbooth.co.uk> - 1.3.1-1
- Update to latest upstream, rhbz #975516
- Remove activation dep from pom, rhbz #820963
- Adapt for current packaging guidelines

* Tue Feb 19 2013 Mat Booth <fedora@matbooth.co.uk> - 1.2-5
- Add missing BuildRequires on maven-local

* Wed Feb 13 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.2-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Wed Jul 18 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.2-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Thu Jan 12 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.2-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Sat Apr 16 2011 Chris Spike <spike@fedoraproject.org> 1.2-1
- Initial version of the package
